Bug 29231 - Add missing Flatpickr to inventory page
Summary: Add missing Flatpickr to inventory page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 28961
Blocks: 29239
  Show dependency treegraph
 
Reported: 2021-10-13 16:20 UTC by Owen Leonard
Modified: 2021-10-22 15:45 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29231: Add missing Flatpickr to inventory page (1.36 KB, patch)
2021-10-13 18:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29231: Add missing Flatpickr to inventory page (1.41 KB, patch)
2021-10-14 09:50 UTC, David Nind
Details | Diff | Splinter Review
Bug 29231: Add missing Flatpickr to inventory page (1.47 KB, patch)
2021-10-18 21:50 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-10-13 16:20:40 UTC
Bug 28961 missed an instance of jQueryUI's datepicker on the inventory page, on the "Last inventory date" field.
Comment 1 Owen Leonard 2021-10-13 18:49:23 UTC
Created attachment 126233 [details] [review]
Bug 29231: Add missing Flatpickr to inventory page

This patch corrects a stray instance of the "datepicker" class in the
inventory template and replaces it with "flatpickr" to trigger a
Flatpickr.

To test, apply the patch and go to Tools -> Inventory. Check that the
"Last inventory date" field is a Flatpickr widget.
Comment 2 David Nind 2021-10-14 09:50:46 UTC
Created attachment 126262 [details] [review]
Bug 29231: Add missing Flatpickr to inventory page

This patch corrects a stray instance of the "datepicker" class in the
inventory template and replaces it with "flatpickr" to trigger a
Flatpickr.

To test, apply the patch and go to Tools -> Inventory. Check that the
"Last inventory date" field is a Flatpickr widget.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-10-18 21:50:46 UTC
Created attachment 126465 [details] [review]
Bug 29231: Add missing Flatpickr to inventory page

This patch corrects a stray instance of the "datepicker" class in the
inventory template and replaces it with "flatpickr" to trigger a
Flatpickr.

To test, apply the patch and go to Tools -> Inventory. Check that the
"Last inventory date" field is a Flatpickr widget.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-10-21 10:25:11 UTC
Pushed to master for 21.11, thanks to everybody involved!